Subject: Re: bug#74855: 30.0.92; dired - slow copy across (wireless) LAN

From: Christopher Howard <[email-masked]>
Date: Thu, 19 Dec 2024 14:02:06 -0900

Stefan Kangas <[email-masked]> writes:

>> What would be the check? "A user wants to copy 600 files, with about 2GB
>> data total, via ssh"? Tramp doesn't know this, it works file-wise. Such a
>> check must reside in dired, but I still doubt we'll find a good rule.
>
> Something along those lines is what I imagined, yes.  The rule might not
> be perfect, but we could probably come up with some reasonable defaults
> if we thought about it.  But if it's not an interesting suggestion, then
> that's fine by me.

I don't think this is a critical issue, but another idea would be to simply have dired echo some kind of warning, suggesting to use the other method, and maybe referencing the manual.

The tricky part there, I think, is that the warning would get cleared from the echo area, by dired's progress messages, before the user had a chance to read or notice it. So I'm not sure if that would be useful in practice.

-- 
Christopher Howard